#ifndef _PIPE_H_
#define _PIPE_H_

struct pipe {
  int src_fd;
  int dst_fd;
  char *buf;
  int bufsize;
  int bytes;
  int offs;
  int eof_read;
  long long tbytes;
  long long wbytes;
  long long accbytes;
  struct timeval ot;
  struct timeval vot;
};

void pmr_loop(struct pipe *p1, struct pipe *p2, char *host, char *acc_file);

extern int kill_on_eof;
extern int pmr_max_rate;

#endif
